<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_StreetInfoFromPosition StructType
 * @subpackage Structs
 */
class Get_StreetInfoFromPosition extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The Positions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPosition
     */
    public $Positions;
    /**
     * Constructor method for Get_StreetInfoFromPosition
     * @uses Get_StreetInfoFromPosition::setLogin()
     * @uses Get_StreetInfoFromPosition::setPositions()
     * @param \StructType\Login $login
     * @param \ArrayType\ArrayOfPosition $positions
     */
    public function __construct(\StructType\Login $login = null, \ArrayType\ArrayOfPosition $positions = null)
    {
        $this
            ->setLogin($login)
            ->setPositions($positions);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_StreetInfoFromPosition
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get Positions value
     * @return \ArrayType\ArrayOfPosition|null
     */
    public function getPositions()
    {
        return $this->Positions;
    }
    /**
     * Set Positions value
     * @param \ArrayType\ArrayOfPosition $positions
     * @return \StructType\Get_StreetInfoFromPosition
     */
    public function setPositions(\ArrayType\ArrayOfPosition $positions = null)
    {
        $this->Positions = $positions;
        return $this;
    }
}
